package com.xty.base.dialog

import android.content.Context
import com.xty.base.databinding.DialogSmsSignBinding

class SmsSignDialog(context: Context, var confirm:()->Unit, var cancel:()->Unit) : BaseDialog(context) {
    val binding by lazy{DialogSmsSignBinding.inflate(layoutInflater)}

    override fun setLayout()=binding.root

    override fun initView() {
        super.initView()
        setDialogPadding(80,0,80,0)
        binding.mTvClickSign.setOnClickListener {
            confirm.invoke()
            dismiss()
        }
        binding.mTvConfirm.setOnClickListener {
            confirm.invoke()
            dismiss()
        }

        binding.mTvCancel.setOnClickListener {
            cancel.invoke()
            dismiss()
        }

        setOnCancelListener {
            cancel.invoke()
            dismiss()
        }
    }

}